
From: Adrian Bunk <bunk@stusta.de>

This patch fixes an array overflow found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/radeonfb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/radeonfb.c~drivers-video-radeonfbc-fix-an-array-overflow drivers/video/radeonfb.c
--- 25/drivers/video/radeonfb.c~drivers-video-radeonfbc-fix-an-array-overflow	2005-04-10 15:13:58.000000000 -0700
+++ 25-akpm/drivers/video/radeonfb.c	2005-04-10 15:13:58.000000000 -0700
@@ -2107,7 +2107,7 @@ static void radeon_write_mode (struct ra
 
 
 	if (rinfo->arch == RADEON_M6) {
-		for (i=0; i<8; i++)
+		for (i=0; i<7; i++)
 			OUTREG(common_regs_m6[i].reg, common_regs_m6[i].val);
 	} else {
 		for (i=0; i<9; i++)
_
